"""osinaweb URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from osinacore import views
from django.contrib.auth.decorators import login_required

urlpatterns = [

    # Pages urls
    path('admin/', admin.site.urls),
    path('login', views.signin, name='signin'),
    path('logout/', views.signout, name='signout'),
    path('', login_required(views.home), name='home'),
    path('my-projects/', login_required(views.my_projects), name='my-projects'),
    path('my-tasks/', login_required(views.my_tasks), name='my-tasks'),
    path('detailedproject/<str:project_id>/', views.detailed_project, name='detailed-project'),
    path('createproject/', views.create_project, name='createproject'),
    path('createepic/<str:project_id>/', views.create_epic, name='createepic'),
    path('createtask/', views.create_task, name='createtask'),
    path('createtask/<str:project_id>/', views.createtask_project, name='createtaskproject'),
    path('createtaskepic/', views.createtask_epic, name='createtaskepic'),


    # Modals urls
    path('addstatus/', views.add_status_modal, name='addstatus'),
    path('addnote/', views.add_note_modal, name='addnote'),
    path('addfile/', views.add_file_modal, name='addfile'),
    path('addcredentials/', views.add_credentials_modal, name='addcredentials'),
    path('updatestatus/', views.update_status_modal, name='updatestatus'),
    path('addpoint/', views.add_point_modal, name='addpoint'),
    path('showpoints/', views.show_points_modal, name='showpoints'),
    path('addtime/', views.add_time_modal, name='addtime'),
    path('timeline/', views.timeline_modal, name='timeline'),
    path('deletetask/', views.delete_task_modal, name='deletetask'),

    # Save Urls
    path('save_note/', views.save_note, name='save_note'),
    path('save_project/', views.save_project, name='save_project'),
    path('save_epic/', views.save_epic, name='save_epic'),
]
